Skip to main content
GET
Get API Key

Path Parameters

key_id
string
required

Numeric ID of the API key

Pattern: ^\d+$

Response

Successful Response

_id
integer<int64>
required

Unique identifier for this API key

name
string
required

The descriptive name given to this API key

expiration_date
string<date-time>
required

When this API key expires and becomes invalid (UTC)

created_at
string<date-time>
required

When this API key was created (UTC)

revoked
boolean
required

Whether this API key has been revoked

permissions
string[] | null

List of permission scopes granted to this API key

created_by_user_id
string | null

Identifier of the user who created this API key

verbex_id
string | null

Verbex ID of the key owner

user_org_id
string | null

Organization the key belongs to

user_workspace_id
string | null

Workspace the key is scoped to, if any

api_key
string

The stored (hashed) key value. The usable plain-text key is only returned once, when the key is created.